op25 on Python3

Status
Not open for further replies.

asdfjlkasfdlkjdfwDSF

Newbie
Premium Subscriber
Joined
Nov 29, 2017
Messages
2
With gnuradio 3.8 moving to Python3, when will op25 become Python3 ready so it works on recent distros like Ubuntu 20?
 

boatbod

Member
Joined
Mar 3, 2007
Messages
2,954
Location
Talbot Co, MD
With gnuradio 3.8 moving to Python3, when will op25 become Python3 ready so it works on recent distros like Ubuntu 20?
Much if not all of the changes required for python3 compatibility have already been made to both osmocom and boatbod repos. Max has patches for his branch to address gnuradio 3.8 API changes, but these are an add-on that has to be applied if you want to run that version. Personally I've not tried a gr3.8 build yet since it is still not the mainstream default and I don't have a spare development machine to set up that way.
 
Status
Not open for further replies.
Top